- return unless ::Gitlab::Saas.enabled? && group.root?
- return unless License.feature_available?(:service_accounts)
- pat_expiry_rules_link = link_to('', help_page_path('user/profile/personal_access_tokens', anchor: 'access-token-expiration', target: '_blank', rel: 'noopener noreferrer'))

%h5= _('Service access token expiration')

.form-group.gl-mb-3
  = f.gitlab_ui_checkbox_component :service_access_tokens_expiration_enforced, s_('GroupSettings|Service account token expiration'), help_text: safe_format(_('Changes will not affect existing token expiration dates. %{link_start}How will this affect expiration dates?%{link_end}'), tag_pair(pat_expiry_rules_link, :link_start, :link_end)), checkbox_options: { disabled: !can_change_service_access_tokens_expiration?(current_user, group), data: { testid: 'service_access_tokens_expiration_enforced_checkbox' }, checked: group.service_access_tokens_expiration_enforced? }
